<?php
require 'functions.php';

if (isset($_POST['c_rss'])) {
    TadaLists::insert_url($_POST['c_rss']);
}

if (isset($_GET['id'])) {
    TadaLists::delete_url($_GET['id']);
}
    
$url = 'tools.php?p=tadalists';

buffer::str('<h2>Ta-da Lists plugin</h2>');

buffer::str('<p>Pour utiliser ce plugin, vous devez dj possder un compte sur
<a href="http://tadalist.com/">http://tadalist.com</a>. Une fois votre compte
obtenu vous devez crer une liste publique (option "sharing" lorsque vous
ditez une liste).</p><p>Rcuprez ensuite l\'adresse du fil rss associ  la
liste.  C\'est cette Url que vous devrez copier dans le formulaire juste en
dessous. L\'Url doit tre de la forme suivante :
http://<login>/tadalist.com/lists/feed_public/xxxxx</p><p><strong>Attention</strong>
: Afin d\'obtenir de meilleurs performances, les listes sont mises en cache, et
rafraichies toutes les 15 minutes seulement.</p>');

buffer::str('<h3>Installation</h3><p>Rajoutez les lignes suivantes dans le
fichier template.php de votre thme : 
<pre>&lt;div id="Tada"&gt;
    &lt;h2&gt;Ta-da Lists&lt;/h2&gt;
    &lt;?php TadaLists::display(); ?&gt;
&lt;/div&gt;</pre>
</p>');

$urls = TadaLists::get_urls();        
$i = 0;
foreach ($urls as $u) {
    $i++;
    $rss = fetch_rss(rtrim($u));
    $del_msg = __('Are you sure you want to delete this list?');
    buffer::str(
        '<div class="ligne clear">'.
        '<h3 class="ligneTitre">'.
        '<a href="'.$url.'&amp;id='.$i.'" '.
        'onclick="return window.confirm(\''.addslashes(__($del_msg)).'\')">'.
        '<img src="images/delete.png" alt="'.__('delete').'" '.
        'title="supprimer" class="status" /></a>'.
        TadaLists::get_list_title($rss).
        '</h3>'.
        '<p class="semi">'.
        $u.
        '</p>'.
        '</div>');
}

buffer::str(
    '<form action="'.$url.'" method="post">'.
    '<fieldset><legend>'.__('New list').'</legend>'.
    '<p class="field"><strong>'.
    '<label for="c_rss" class="float">'.__('Feed Url').' : </label></strong>'.
    form::field('c_rss',40,255).'</p>'.

    '<p>'.form::hidden('action','add_cat').
    '<input type="submit" class="submit" value="'.__('save').'"/></p>'.
    '</fieldset>'.
    '</form>'
);
?>
